Subject: bug#60811: closed (Re: bug#60811: Can’tchange the build system of p11-kit to meson)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 21 May 2025 13:21:03 +0000

Your bug report

#60811: Can’t change the build system of p11-kit to meson

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60811: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60811
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60811: Can’t change the build system of p11-kit to meson
From: Maxim Cournoyer <[email-masked]>
To: Vivien Kraus <[email-masked]>
Cc: [email-masked], Csepp <[email-masked]>
Date: Wed, 21 May 2025 22:20:36 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Our p11-kit now builds using meson.

Closing.

-- 
Thanks,
Maxim

Subject: Can’t change the build system of p11-kit to meson
From: Vivien Kraus <[email-masked]>
To: bug-guix <[email-masked]>
Date: Sat, 14 Jan 2023 09:26:51 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear guix,

p11-kit is switching its build system to meson. The README already
advertises it as the way to build p11-kit. When I try to change that,
guix builds fine. Then, if I try to run guix build p11-kit, guix will
crash after exhausting all my memory. I suspect a circular dependency
of some sort, but I don’t know how to debug it.

If I try and run:
$ ./pre-inst-env guix graph --type=bag p11-kit

Then I get as an output,

digraph "Guix bag" {

And then guix starts eating my memory indefinitely until I cancel it.

How can I debug this?

Best regards,

Vivien